Skip to content
OperadeDocs

Search documentation

Type to search documentation.

Documentation
Copy page
Open raw Markdown

Create a knowledge folder

Create a knowledge folder at the workspace root or under another folder.

Endpoint

POST/api/v1/workspaces/{workspace_id}/knowledge/folders

Authentication

Operation classAuthenticationMinimum roleAPI key
dashboard-session-apiDashboard session cookie; mutations also require X-CX-Request: 1.adminNot allowed

Parameters

NameInTypeRequiredDescription
workspace_idpathstringYes—

Request body

application/json request schema

Field pathTypeReferenceFormatNullableRequiredEnumDescription
$objectPermintaanFolder—NoYes——
namestring——NoYes——
parent_folder_idstring or null——YesNo——

Example

cURL
curl --request POST 'https://operade.ai/api/v1/workspaces/ws_demo/knowledge/folders' \
  --cookie 'cx_session=YOUR_SESSION_COOKIE' \
  --header 'X-CX-Request: 1' \
  --header 'Content-Type: application/json' \
  --data '{"name":"Support","parent_folder_id":"fld_parent"}'
Request body JSON
{
  "name": "Support",
  "parent_folder_id": "fld_parent"
}

Responses

StatusDescriptionContent
4XXHandled client errorapplication/json: ErrorResponse
201Successful Responseapplication/json: KnowledgeFolder

4XX application/json response schema

Field pathTypeReferenceFormatNullableRequiredEnumDescription
$objectErrorResponse—NoYes——
errorobjectErrorItem—NoYes——
error.codestring——NoYes——
error.detailsobject——NoNo——
error.messagestring——NoYes——

201 application/json response schema

Field pathTypeReferenceFormatNullableRequiredEnumDescription
$objectKnowledgeFolder—NoYes——
child_countinteger——NoYes——
created_atstring—date-timeNoYes——
created_byobjectKnowledgeCreator—NoYes——
created_by.emailstring——NoYes——
created_by.idstring——NoYes——
created_by.namestring——NoYes——
entity_typestring——NoYes"folder"—
idstring——NoYes——
namestring——NoYes——
parent_folder_idstring or null——YesYes——
updated_atstring—date-timeNoYes——

Response example

Response body JSON
{
  "entity_type": "folder",
  "id": "string",
  "name": "string",
  "parent_folder_id": "string",
  "child_count": 0,
  "created_by": {
    "id": "string",
    "name": "string",
    "email": "string"
  },
  "created_at": "2026-01-01T00:00:00Z",
  "updated_at": "2026-01-01T00:00:00Z"
}

Errors

Reviewed common and route-declared errors are summarized here; the list is not exhaustive. Start with the distributed error index to find each code's canonical domain page.

StatusCodeDescription
401unauthenticatedAuthentication is missing, invalid, or revoked.
403forbiddenThe authenticated caller does not have access to this operation.
404not_foundThe requested workspace resource was not found.
422validation_failedThe request did not pass field or business validation.
On this page
  1. Endpoint
  2. Authentication
  3. Parameters
  4. Request body
  5. application/json request schema
  6. Example
  7. Responses
  8. 4XX application/json response schema
  9. 201 application/json response schema
  10. Response example
  11. Errors
  12. Related operations